<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
    xmlns:layout = "http://www.ultraq.net.nz/thymeleaf/layout"
    layout:decorate="~{admin/dashboardLayout.html}">
  <head>

  </head>
      <body>
        <section class="row" layout:fragment="content">
            <div class="col-6 offset-3 mt-4">
            <form th:action="@{/admin/accounts/saveOrUpdate}" method="post" th:object="${account}">
                <div class="card">
                    <div class="card-header">
                        <h2>Account</h2>
                    </div>
                    <div class="card-body">
                        <div class="form-group">
                            <label for="username">User name</label>
                            <input type="text" th:field="*{username}"
                            class="form-control" name="username" id="username" aria-describedby="usernameId" placeholder="Username">
                            <small id="usernameId" class="form-text text-muted">Username is in valid</small>
                        </div>
                        <div class="form-group">
                            <label for="password">Password</label>
                            <input type="password" th:field="*{password}"
                            class="form-control" name="password" id="password" aria-describedby="passwordHid" placeholder="Password">
                            <small id="passwordHid" class="form-text text-muted">Password is valid</small>
                        </div>
                    </div>
                    <div class="card-footer text-muted">
                        <button type="reset" class="btn btn-secondary">Reset</button>
                        <a th:href="@{/admin/accounts}" class="btn btn-success">List Accounts</a>
                        <button class="btn btn-primary"><i class="fas fa-save"></i>
                            <span>Save</span>
                        </button>
                    </div>
                </div>
            </form>
            </div>
        </section>
      </body>
</html>
